baz_acars_decoder Class Reference
GNU Radio baz C++ Signal Processing Blocks

acars a stream of floats. More...

`#include <baz_acars_decoder.h>`

Inheritance diagram for baz_acars_decoder:
[legend]

## Public Member Functions

| ~baz_acars_decoder ()
void | set_preamble_threshold (int threshold)
void | set_frequency (float frequency)
void | set_station_name (const char *station_name)
int | preamble_threshold () const
float | frequency () const
const char * | station_name () const
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

baz_acars_decoder_sptr | baz_make_acars_decoder (gr::msg_queue::sptr msgq)
| Return a shared_ptr to a new instance of baz_acars_decoder.

## Detailed Description

acars a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_acars_decoder()

baz_acars_decoder::~baz_acars_decoder | ( |  | ) |

## Member Function Documentation

## frequency()

float baz_acars_decoder::frequency | ( |  | ) | const

inline

## preamble_threshold()

int baz_acars_decoder::preamble_threshold | ( |  | ) | const

inline

## set_frequency()

void baz_acars_decoder::set_frequency | ( | float | frequency | ) |

## set_preamble_threshold()

void baz_acars_decoder::set_preamble_threshold | ( | int | threshold | ) |

## set_station_name()

void baz_acars_decoder::set_station_name | ( | const char * | station_name | ) |

## station_name()

const char * baz_acars_decoder::station_name | ( |  | ) | const

inline

## work()

int baz_acars_decoder::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Symbol Documentation

## baz_make_acars_decoder

baz_acars_decoder_sptr baz_make_acars_decoder | ( | gr::msg_queue::sptr | msgq | ) |

friend

Return a shared_ptr to a new instance of baz_acars_decoder.

To avoid accidental use of raw pointers, baz_acars_decoder's constructor is private. baz_acars_decoder is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_acars_decoder.h